IMPORTANTE: cambiamenti nei Repo

32 contenuti / 0 new
Ultimo contenuto
Ritratto di monsee
Offline
Last seen: 5 mesi 3 settimane fa
Moderatore
Iscritto: 16/09/2009 - 12:34
IMPORTANTE: cambiamenti nei Repo

Per chiunque usi PCLinuxOS a 32-bit è importantissimo effettuare -quanto prima!- un cambiamento nei suoi Repo.
Le possibili maniere per far l'operazione e le ragioni che la rendon necessaria (ossia, l'insorgere improvviso di seri problemi con taluni Server), sono spiegate nella Discussione (in inglese) cui conduce il seguente link: http://www.pclinuxos.com/forum/index.php/topic,87378.msg722604.html#msg7...
Riassumendo la situazione, si può dire che taluni Repository non sono ben raggiungiibli e, anche quando raggiunti, posson dar luogo a una congerie di errori.
Ma c'è un nuovo elenco di Repository che non risultano afflitte da questo problema. Purtroppo, il mirror italiano (intendo, quello del GARR), non rientra -almeno sino ad ora- fra questi. Dunque, fra i Repository che useremo, almeno per un po' NON ci dovrà essere quello del GARR.
Una maniera di procedere per dare soluzione al problema è quella di impostare, come unico Repository quello di ibiblio che compare nell'immagine visibile nel primo post della Discussione in lingua inglese che ho qui sopra postato.
Si tratta del Repo seguente:

URI http://distro.ibiblio.org/pclinuxos/pclinuxos/apt
Distribution pclinuxos/2010
Section(s) main updates nonfree kde games xfce4

Una volta che avrete impostato quel Repo (e solamente quello), procedete ad aggiornare l'elenco dei pacchetti e, poi, andate a controllar gli aggiornamenti selezionabili: uno di essi, in particolare, è quello che vi interessa e che dovrete selezionare. Si chiama
apt-sources-list
Se non la trovate fra i possibili aggiornamenti, lo troverete di certo scorrendo l'elenco completo dei pacchetti (che è in perfetto ordine alfabetico, dunque facilissimo da consultare). Selezionate per l'aggiornamento solo tale pacchetto (se non figura fra gli aggiornamenti, selezionatelo per l'installazione e aggiungete ad esso anche il pacchetto denominato "apt-sources-update", che servirà a mantenervi aggiornato l'elenco dei Repo). Non selezionate null''altro, per il momento.
Dopo di che, applicate, aggiornando così il pacchetto selezionato (o installando i due pacchetti selezionati).
Terminata l'operazione, tornate a ricaricare l'elenco dei pacchetti. Lasciate le impostazioni di default, in tale elenco (tanto, il GARR non c'è e non lo si può scegliere) e procedete a marcare tutti gli aggiornamenti e ad installarli (tramite Synaptic) normalmente. A partir da quel momento momento, sarete a posto.

PS: per Zafran.
Zafran, per favore, mi useresti la cortesia di riportare la cosa (sia il problema che la correlata soluzione) nella Sezione del Forum Majorana specificamente dedicata a PCLinuxOS? Te ne sarei immensamente grato. Grazie di cuore, davvero.

Ritratto di zafran
Offline
Last seen: 10 mesi 1 settimana fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Ma veramente, a quello che capisco io, la situazione è sempre la stessa:
ibiblio è sconsigliato per via di non ingolfarlo e lasciarlo libero per gli altri mirror.
Gli utenti possono usare nluug che è già sincronizzato e velocissimo.

Quanto a apt-sources-list e apt-sources-update dovrebbero aggiornarsi da sé e dovrebbero essere presenti ormai da un annetto in tutti i sistemi.

Così è come l'ho capita io leggendo il post che hai indicato
http://www.pclinuxos.com/forum/index.php/topic,87378.msg958471.html#msg9...
e anche l'altro
http://www.pclinuxos.com/forum/index.php/topic,112036.msg957315.html#msg...
che dovrebbe venire aggiornato quando la situazione andrà a posto.

twa
Ritratto di twa
Offline
Last seen: 9 anni 10 mesi fa
Iscritto: 17/04/2012 - 20:42

zafran,
no, non è cosi, il post dice chiaramente di disabilitare il mirror corrente ed abilitare solo quello di ibiblo.org.
ìOption 2: use the ibiblio mirror
============================
Start PCmenu -> Software Center -> Synaptic. Then form the Synaptic menu click on Settings -> Repositories.
In the first column "Enabled" of the new window, disable (untick) the currently selected mirror repo and enable (tick) the repo distro.ibiblio.org
==============
problema che io non ho avendo un PASS

Ritratto di 500paolo
Offline
Last seen: 2 anni 2 mesi fa
Iscritto: 16/12/2011 - 10:52

Io non trovo questo: apt-sources-update

Ritratto di francesco bat
Offline
Last seen: 2 anni 6 mesi fa
Iscritto: 20/11/2011 - 02:46

Fatta l'operazione !
In risposta a Zafran: è vero che si selezione ibiblio, ma dopo aver fatto l'aggiornamento di apt-sources-list mi sono ritrovato con il server olandese nluug automaticamente e con una lista server nuova di zecca e aggiornata.

#500paolo
iil pacchetto è apt-sources-list
Lo devi aggiornare (o meglio installare) dopo aver tolto garr e selezionato ibiblio come spiegato dalla guida sul forum americano.
Ciao
Francesco bat

Ritratto di 500paolo
Offline
Last seen: 2 anni 2 mesi fa
Iscritto: 16/12/2011 - 10:52

Si Francesco, ho capito, ma Monsee parla di due pacchetti mentre io ne ho trovato uno solo e ho proceduto solo con quello.
Anche io mi son ritrovato con nluug ma non c'era nulla da aggiornare dato che ho comunque abilitate (anche se a Monsee e Zafran fanno rizzare i capelli) le sezioni unstable, testing, special (indispensabili per me per salvaguardare il funzionamento dei plasmoidi ad ogni aggiornamento parziale delle componenti kde4). Lo so che e' rischioso ma so prendere le precauzioni del caso ispezionando bene i pacchetti che si propongono per gli aggiornamenti.

twa
Ritratto di twa
Offline
Last seen: 9 anni 10 mesi fa
Iscritto: 17/04/2012 - 20:42

500paolo
il cambio dei mirrors è finito
http://www.pclinuxos.com/forum/index.php/topic,87378.msg722604.html#msg7...
nella opzione 3 / punto 5 vedi i nuovi mirrors.
ciao

Ritratto di 500paolo
Offline
Last seen: 2 anni 2 mesi fa
Iscritto: 16/12/2011 - 10:52

@twa,

Si li ho anche io.
Guardate che a me e' andato tutto bene, non cerco aiuto. Facevo solo notare che non ho trovato il pacchetto: apt-sources-update ma solo apt-sources-list.

Ritratto di monsee
Offline
Last seen: 5 mesi 3 settimane fa
Moderatore
Iscritto: 16/09/2009 - 12:34

Il pacchetto denominato
apt-source-update
dovresti averlo già installato.
Verifica nell'elenco alfabetico completo che Synaptic ti offre, vedrai che ce lo trovi.
Se non fosse installato (nel senso che lo trovi in elenco, ma non ti risulta installato), procedi ad installarlo tu.
Questo pacchetto NON contiene indirizzi di Reposirories: semplicemente, si occupa di aggiornare automaticamente (per il futuro) l'elenco dei Repository che hai.

Ritratto di 500paolo
Offline
Last seen: 2 anni 2 mesi fa
Iscritto: 16/12/2011 - 10:52

Io non ce l'ho:

https://docs.google.com/file/d/0B3b9D753MSBpM0VxdnE3N1AtWkU/edit

non lo trovo in elenco:

https://docs.google.com/file/d/0B3b9D753MSBpcmlidWpodnVHTms/edit

E nemmeno sul server nluug

Comunque pare che tutto funzione quindi nessun problema.

twa
Ritratto di twa
Offline
Last seen: 9 anni 10 mesi fa
Iscritto: 17/04/2012 - 20:42

500paolo,
mai pensato quello, ti conosco anche da altri forum e dai tuoi post molto tecnici.
buona domenica

Ritratto di 500paolo
Offline
Last seen: 2 anni 2 mesi fa
Iscritto: 16/12/2011 - 10:52

Oddio, scusami twa, volevo solo risparmiarvi il lavoro, non volevo passare per permaloso. LOL!
A presto.

Ritratto di zafran
Offline
Last seen: 10 mesi 1 settimana fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Bene, quindi gira gira sempre sul nluug si ricasca.
Non capisco come mai il garr non vada più bene, hanno mezzo mondo linux o forse anche di più.

twa
Ritratto di twa
Offline
Last seen: 9 anni 10 mesi fa
Iscritto: 17/04/2012 - 20:42

500paolo,
non devi scusarti ne pensare di esssere permaloso.
in synaptic io ho apt-sources-update 0.3-3

Quote:
Utility for optimizing PCLinuxOS repository sources.list
apt-sources-update is a utility that will download the latest PCLinuxOS apt
sources.list from the main ibiblio server, verify that they
have been recently synced to the ibiblio server, and test
all updated repositories for download speed.

Once testing is completed the user will be given a speed
rated list of repositories from which they can select a
default repository to use for future software needs.

Ritratto di monsee
Offline
Last seen: 5 mesi 3 settimane fa
Moderatore
Iscritto: 16/09/2009 - 12:34

500paolo wrote:
Io non ce l'ho:

https://docs.google.com/file/d/0B3b9D753MSBpM0VxdnE3N1AtWkU/edit

non lo trovo in elenco:

https://docs.google.com/file/d/0B3b9D753MSBpcmlidWpodnVHTms/edit

E nemmeno sul server nluug

Comunque pare che tutto funzione quindi nessun problema.


Mistero risolto: pare si tratti di un pacchetto ormai considerato obsoleto, per cui non è presente sui Repository perchè -immagino- sarà in corso di aggiornamento (staranno costruendo la nuova versione... e poi la dovrenno, immagino, anche testare).
Che il pacchetto sia da considerarsi obsoleto lo dimostra la seguente pagina Web: rpm.pbone.net/index.php3/stat/4/idpl/14927795/dir/pclinuxos/com/apt-sources-update-0.3-1pclos2010.i586.rpm.html
Comunque, io ce l'ho installato in tutte le mie installazioni a 32-bit e non mi ha mai dato alcun problema o malfunzionamento.

twa
Ritratto di twa
Offline
Last seen: 9 anni 10 mesi fa
Iscritto: 17/04/2012 - 20:42

monsee,
sei una enciclopedia !!
avevo anche postato e non ricordavo.
dal forum americano:
http://www.pclinuxos.com/forum/index.php/topic,109335.msg934285.html#msg...
ciao (scusa se saluto amichevolmente)

Ritratto di monsee
Offline
Last seen: 5 mesi 3 settimane fa
Moderatore
Iscritto: 16/09/2009 - 12:34

twa wrote:
ciao (scusa se saluto amichevolmente)

Ci manchebbe altro, twa: così si fa, fra amici. Non hai davvero niente di cui scusarti. Anzi, te ne ringrazio, perchè così mi onori.

twa
Ritratto di twa
Offline
Last seen: 9 anni 10 mesi fa
Iscritto: 17/04/2012 - 20:42

monsee,
sempre a proposito del famigerato apt-sources-update.
come vedi dal forum americano
http://www.pclinuxos.com/forum/index.php?PHPSESSID=upq13laq0s776tjl2c5pd...
nell'ultimo post pinoc dice di toglierlo da synaptic.
avendolo sia io che tu sul sistema, anche se non l'ho usato, che ne dici, lo togliamo ??
ciao

Ritratto di monsee
Offline
Last seen: 5 mesi 3 settimane fa
Moderatore
Iscritto: 16/09/2009 - 12:34

Pinoc suggerisce di rimuoverlo dal proprio Sistema in quanto si tratta di un pacchetto obsoleto che può, a quel che pare, anche dar luogo a comportamenti non desiderati.
Per cui, conoscendo un po' Pinoc, direi di dargli retta.

Ritratto di 500paolo
Offline
Last seen: 2 anni 2 mesi fa
Iscritto: 16/12/2011 - 10:52

Quindi tutto a posto.
In ogni caso anche non avendolo gli aggiornamenti funzionavano regolarmente, se poi avrei dovuto cambiare la lista dei mirror sarebbe bastato googlare e sostituirli a manina: non era una tragedia.

Ritratto di Benzocaino
Offline
Last seen: 9 anni 2 settimane fa
Iscritto: 11/12/2011 - 04:32

Notizie di GARR?

Ritratto di monsee
Offline
Last seen: 5 mesi 3 settimane fa
Moderatore
Iscritto: 16/09/2009 - 12:34

Fino a questo momento, direi proprio di no. Non so quali problemi ci siano stati, ma posso immaginare che non si sia trattato di un puro e semplice disguido...

Ritratto di ernstfree
Offline
Last seen: 6 anni 1 settimana fa
Iscritto: 09/08/2011 - 16:02

Premesso che Pinoc è comunque un grande di Linux ...
io, come al solito (anche nel famoso passaggio da KDE 4.6.5 a 4.8.3!) attendo e confido nella logica complessiva della distro, così anche questa volta ho lasciato che il pacchetto "apt-sources-list" sistemasse tutto ... non aggiungo e tolgo mai nulla di principio ....
Infatti ora le repo si sono corrette e il sistema è OK.
Secondo me, in sintesi: ogni utente standard di PCLOS (che sa attendere), se ha il pacchetto "apt-sources-list" installato, non deve fare nulla, se non aspettare (eventualmente ogni tanto ripristinare il mirror locale).

Ritratto di zafran
Offline
Last seen: 10 mesi 1 settimana fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Quoto

Ritratto di FreddyOS
Offline
Last seen: 9 anni 5 mesi fa
Iscritto: 08/01/2013 - 11:15

Scusate la domanda, Monsee ha scritto "Per chiunque usi PCLinuxOS a 32-bit", io che sto per installare la KDE a 64bit RC1, devo effettuare ugualmente il cambio oppure la 64 bit ne è esente?

Ritratto di monsee
Offline
Last seen: 5 mesi 3 settimane fa
Moderatore
Iscritto: 16/09/2009 - 12:34

Non hai il problema in oggetto, dato che la versione ultima (la KDE RC1 a 64-bit, intendo) "viene a te" già corredata di un efficace apt-sources-list.

Ritratto di FreddyOS
Offline
Last seen: 9 anni 5 mesi fa
Iscritto: 08/01/2013 - 11:15

Perfetto... Quindi devo lasciar tutto così com'è? Senza mettere il repo del GAAR, giusto?
PS: Appena installato PCLOS. Smile Speriamo che stavolta la stampante non mi crei problemi...

Ritratto di Sargon6
Offline
Last seen: 6 anni 2 mesi fa
Iscritto: 05/08/2011 - 15:53

Salve a tutti.
Mi sto preparando ad installare PCLinuxOS su un nuovo PC.
Essendo PCLinuxOS rolling, inizialmente pensavo di installare una qualsiasi ISO di PCLinuxOS a 32 bit già in mio possesso per poi aggiornare, ma, stando a quello che ho letto in questa discussione, mi pare di capire che, per evitare problemi in fase di aggiornamento, è meglio scaricare una versione di PCLinuxOS più recente, ed installare quella.
Ho capito bene?

Se si, da dove scarico la .iso?
il mirror italiano
http://na.mirror.garr.it/mirrors/pclinuxos/live-cd/
mi sembra poco aggiornato, specie se confrontato con quello olandese
http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/live-cd/
Scarico da quello olandese?

Le versioni a 32 bit presenti sul mirror olandese, risalgono al 28/01/2013 (KDE) ed al 13/01/2013 (LXDE). devo comunque fare il cambio dei repository?

Sul mirror olandese, le versioni di PCLinux a 64 bit non sono più test, ma RC. Fra quanto tempo è previsto il rilascio di PCLinuxOS 64 bit rolling relase?

Saluto. Sargon6

Ritratto di zafran
Offline
Last seen: 10 mesi 1 settimana fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Praticamente a quanto ho capito si sta usando tutti il nluug.
Ci si troverà tutti con zoccoli di legno e cuffietta bianca in capo.

Per il garr non so cosa stia succedendo.
Se ci guardi dentro non sembra tanto poco aggiornato, in fondo.
Boh, aspettiamo che maturi, per l'intanto l'olandese va bene.

twa
Ritratto di twa
Offline
Last seen: 9 anni 10 mesi fa
Iscritto: 17/04/2012 - 20:42

Sargon6,
la versione 64bit KDE RC1.iso è stata rilasciata il 2 Febbraio 2013.
in fondo a questa pagina trovi i links da dove scaricare
ciao
http://www.pclinuxos.com/?page_id=1867
naturalmente essendo RC c'è da aspettarsi qualche problemino.

Ritratto di francofait
Offline
Last seen: 4 anni 8 mesi fa
Iscritto: 31/03/2012 - 02:01

Mantieni il mirror di default , quello del garr italialiano a tutt' oggi è ancora incompleto , non per colpa di PcLinux ma di probabili problemi di interconnessione fra i vari servizi di hosting , inotre oggi sono stati rilasciati altri 32 pacchetti di aggiornameto da 2011 a 2013 , sono tutti aggiornamenti importanti.

Ritratto di monsee
Offline
Last seen: 5 mesi 3 settimane fa
Moderatore
Iscritto: 16/09/2009 - 12:34

Quale versione di PClinuxOS esattamente desideri installare?
In ogni caso, non ti suggerisco di scaricare la ISO dai Mirror, bensì di usare il Torrent per scaricarla (se non sai dove reperire il file torrent necessario, dillo e ti posto il giusto link).
In quanto ai Repo da impostare in Synaptic, come han giustamente detto Franco e Zafran, il GARR, almeno per adesso, è meglio evitarlo.